Subject: Re: bug#77746: [PATCH] sh-mode: Fix incorrect word syntax for punctuation in sh-mode

From: Visuwesh <[email-masked]>
Date: Mon, 14 Apr 2025 14:49:54 +0530

[ஞாயிறு ஏப்ரல் 13, 2025] Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>>> In sh and Bash, the characters !%^~:.,= and are not valid in variable or
>>> function names.
>
> I'm not positive about all of them, but at least some of those can
> appear in the names of commands.

Not sure sh (and its million implementations) but bash definitely allows
%.  I have [-A-Z0-9]+% as a function in ~/.emacs.d/init_bash.sh so I
don't have to worry about editing out the prompt when submitting an
(edited) old prompt line in M-x shell.